
!TOSeasideErrorHandler methodsFor: '*tode-gemstone-seaside' stamp: 'dkh 05/21/2011 04:36'!
remoteBreakpointMethod
	"Special marker method ... causes OTRemoteDebugger to be used for debugging"
	
	^self! !

!TOSeasideErrorHandler methodsFor: '*tode-gemstone-seaside' stamp: 'dkh 05/21/2011 04:36'!
saveExceptionContinuation: anException

	| continuation action |
	 GRPlatform current canDebugInteractively
		ifTrue: [ anException pass ].
	action := [:cont | continuation := cont. #create ] callCC.
	action == #create
		ifTrue: [ | logEntry|
			WACurrentRequestContext value forDebugging: true.
			logEntry := WAObjectLogEntry 
				error: anException description 
				request: WACurrentRequestContext value request
				continuation: continuation.
			"the continuation is not resumable"
			logEntry resumeContinuation.
			logEntry addToLog.
			^self].
	action == #debug
		ifTrue: [ | meth |
			meth := self class lookupSelector: #remoteBreakpointMethod.
			meth setBreakAtStepPoint: 1.
			self remoteBreakpointMethod ].
! !

!TOMain methodsFor: '*tode-gemstone-seaside' stamp: 'dkh 06/08/2011 14:30'!
initialRequest: aRequest

	super initialRequest: aRequest.
	aRequest fields at: 'inspectOop' ifPresent: [ :oop |
		self currentSession push: (Object _objectForOop: oop asInteger) selecting: #inspect.]! !

!TOMain methodsFor: '*tode-gemstone-seaside' stamp: 'dkh 06/08/2011 14:27'!
windowTitle
	^'tODE [G/S]'! !
